#
# spec file for package fatsort
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fatsort
Version:        1.5.0.456
Release:        10.1
Summary:        FAT Filesystem Sorting Utility
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            http://fatsort.sourceforge.net
Source0:        https://sourceforge.net/projects/fatsort/files/fatsort-%{version}.tar.xz
BuildRequires:  help2man

%description
FATsort sorts directory structures of FAT filesystems. Many MP3 hardware
players don't sort files automatically but play them in the order they were
transmitted to the device. FATSort can help here.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -Dpm 0755 -p src/%{name}   \
  %{buildroot}%{_sbindir}/%{name}
install -Dpm 0644 -p man/%{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1

%files
%license LICENSE.txt
%doc CHANGES.md README
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Tue Mar  5 2019 mpluskal@suse.com
- Modernise spec file
* Sat Oct 13 2018 sean@suspend.net
- Update to version 1.5.0.456:
  * added options -e and -E to select directories with regular expressions
  * FIX: possible memory leak for OPT_LOCALE
  * FIX: bug affecting case sensitive sorting with locales
* Thu Oct 26 2017 mpluskal@suse.com
- Update to version 1.4.2.439:
  * FIX: sorting with option -m on big endian architectures is now
    working as intended
  * reproducible docker tests added for i386, amd64, ppc64le
  * added clean target for manpage
  * updated tests
- Changes for version 1.4.1:
  * fixed memory leak when providing multiple locales
  * fixed test tc_check_consistent_version
  * added //TRANSLIT to iconv_open so iconv will no longer fail
    when a character cannot be converted
  * added missing test cases
- Changes for version 1.4:
  * added option -L to specify an alternate locale to be used
  * added warning if C locale is used
  * added valgrind tests
  * fixed possible memory leak found with valgrind
- Changes for version 1.3.1:
  * increased maximum cluster size to 64kb
  * fixed descriptions for options -I, -o, -d, -D, -x and -X in
    manpage
  * replaced some fclose with fs_close
  * changed iconv error to warning
  * fixed a test case
* Sun May 29 2016 mpluskal@suse.com
- Cleanup package
- Update to version 1.3.365
* Tue Apr  8 2014 marec@detebe.org
- updated to version 1.3
* Tue Dec 10 2013 marec@detebe.org
- updated to version 1.2
* Tue Jun 11 2013 marec@detebe.org
- updated to version 1.1.1
* Fri May 24 2013 marec@detebe.org
- updated to version 1.1
* Mon May 20 2013 marec@detebe.org
- updated to version 1.0.1
* Mon Apr 15 2013 marec@detebe.org
- initial package build
